<?php
/**
 * Uninstall script for Easy Contact Popup
 *
 * 
 * @package AdvancedCustomAccordions
 */

// If uninstall not called from WordPress, exit
if (!defined('WP_UNINSTALL_PLUGIN')) {
    exit;
}

// Delete plugin options
delete_option('contact_popup_settings');
delete_option('contact_popup_donation_reminder');

// Drop custom table
global $wpdb;
$table_name = $wpdb->prefix . 'contact_submissions';
$wpdb->query("DROP TABLE IF EXISTS $table_name");

// Delete all post meta related to the plugin
delete_metadata('post', null, '_menu_trigger_popup', '', true);

// Clear any cached data
wp_cache_flush();